# Record TCefDomVisitor

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefDomVisitor = record`

## Description

Structure to implement for visiting the DOM. The functions of this structure will be called on the render process main thread.

NOTE: This struct is allocated client-side.

Implemented by ICefDomVisitor.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_dom_capi.h">CEF source file: /include/capi/cef_dom_capi.h (cef_domvisitor_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `visit: procedure(self: PCefDomVisitor; document: PCefDomDocument); stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `visit: procedure(self: PCefDomVisitor; document: PCefDomDocument); stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.